{
  "type": "minecraft:block",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:poisonous_potato",
          "functions": [
            {
              "function": "set_components",
              "components": {
                "minecraft:rarity": "common",
                "item_name": {
                    "translate": "item.overlyrealistic.waterskin",
                    "fallback": "Waterskin",
                    "color": "white",
                    "extra": [
                        {
                            "translate": "item.overlyrealistic.waterskin_suffix_empty",
                            "fallback": " [Empty]",
                            "color": "gray"
                        }
                    ]
                },
                "custom_data": {
                    "IsHideWaterskin": true,
                    "WaterskinContents": "empty",
                    "or_edited_item": true,
                    "or_no_edit": true,
                    "or_can_hold_liquids": true,
                    "or_liquid_holding_item_type": "waterskin",
                    "or_liquid_contents": "empty"
                },
                "custom_model_data": {
                  "floats": [
                    0.0,
                    0.0,
                    0.0
                  ]
                },
                "consumable": {
                    "animation": "block",
                    "consume_seconds": 99999,
                    "sound": "intentionally_empty",
                    "has_consume_particles": false
                },
                "food": {
                    "can_always_eat": true,
                    "nutrition": 0,
                    "saturation": 0
                },
                "tooltip_display": {
                    "hidden_components": [
                        "damage",
                        "max_damage"
                    ]
                },
                "max_stack_size": 1,
                "max_damage": 1,
                "damage": 1,
                "item_model": "overlyrealistic:items/waterskin"
            }
            }
          ]
        }
      ]
    }
  ]
}